Skip to main content
Interfaces / Vehicle Data

Trigger JATO vehicle data import procedure

This method requires the VehicleData:ImportJato permission to be associated with your role.

PUT
/qt/interface/vehicle-data/jato/{import_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
import_idstringrequired

Import Id obtained from JATO vehicle data import request

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

application/x-www-form-urlencoded
procedureenum<string>required
Available options: fetch, import

Response

application/vnd.catch-e-api.v1+json

Accepted

detailstring
Example: Accepted
statusinteger
Example: 202
titlestring
Example: Accepted
typestring
Example: http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html